## This application has a bug with PulseAudio's ALSA Plugin
## Will try reporting it to Fedora, since it's a PulseAudio
## bug, not a pSX bug.
## spec provided by warofthenerd.net

Name:           pSX
Version:        1.13
Release:        2%{?dist}
Summary:        Emulator which fully emulates the Sony Playstation
Group:          Applications/Emulators
License:        Proprietary
URL:            http://psxemulator.gazaxian.com
Source0:        http://psxemulator.gazaxian.com/%{name}_linux_1_13.tar.bz2
Source1:        %{name}.desktop
Source2:        %{name}.png
BuildRequires:  desktop-file-utils
Requires:       redhat-lsb gtk2 gtk2 mesa-libGL
Requires:       hicolor-icon-theme mesa-libGLU
Requires:       pango cairo
Requires:       hicolor-icon-theme
ExclusiveArch:  i386 i686
BuildRoot:      $RPM_BUILD_ROOT

## We don't want a debuginfo package, this is binary-only
%global debug_package %{nil}

%description
Emulator which fully emulates the Sony Playstation.

Provides all Graphics, Sound, CD-ROM, Memory Card and
Controller functionality without the use of plugins.

This package requires a dumped PlayStation game console
BIOS to be used to play PlayStation games.

%prep
%setup -q -n pSX
rm -rf bios cdimages

%build
# We do nothing here - no source to build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 755 %{name} \
  $RPM_BUILD_ROOT%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps

%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-,root,root,-)
%doc readme.txt
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png

%changelog
* Fri Jul 20 2012 Martyn Hare <martyn@warofthenerd.net> - 1.13-2
- Packaging cleanups
- Added readme.txt as documentation
* Thu Jul 12 2012 Martyn Hare <martyn@warofthenerd.net> - 1.13-1
- Initial Release
